#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libptytty-2.0

- Next

  libqmi-1.30.8

- Up
- Home

# libqalculate-5.5.1

## Introduction to libqalculate

The libqalculate package contains a library that provides functions for a multi-purpose calculator.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/Qalculate/libqalculate/releases/download/v5.5.1/libqalculate-5.5.1.tar.gz

- Download MD5 sum: 0e1edc7d0376dd89cafdc5d5519ab391

- Download size: 2.6 MB

- Estimated disk space required: 144 MB (with tests)

- Estimated build time: 0.6 SBU (With tests; both using parallelism=8)

### libqalculate Dependencies

#### Required

cURL-8.12.1, ICU-76.1, and libxml2-2.13.6

#### Optional

Doxygen-1.13.2 and gnuplot

## Installation of libqalculate

Install libqalculate by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libqalculate-5.5.1 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

The libtool archive file from this package is referring to the libraries from ICU-76.1. Such a reference may cause packages depending on this package to be unnecessary linked against the ICU libraries and increase the burden to rebuild packages if ICU is updated to a new major version. As we've explained in Libtool archive (.la) files, these libtool archive files are unneeded anyway. So as the `root` user, remove the libtool archive file now:

    rm -v /usr/lib/libqalculate.la

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: qalc
Installed Library: libqalculate.so
Installed Directories: /usr/include/libqalculate, /usr/share/doc/libqalculate-5.5.1, and /usr/share/qalculate

### Short Descriptions

qalc | is a powerful and easy to use command line calculator
`libqalculate.so` | contains the libqalculate API functions

- Prev

  libptytty-2.0

- Next

  libqmi-1.30.8

- Up
- Home